This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 481070 - (ctan-musixtex-fonts) Review Request: ctan-musixtex-fonts - Type 1 versions of MusiXTeX fonts
Review Request: ctan-musixtex-fonts - Type 1 versions of MusiXTeX fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 481071
  Show dependency treegraph
 
Reported: 2009-01-21 18:42 EST by Orcan Ogetbil
Modified: 2009-01-26 20:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-26 20:49:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cassmodiah: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-01-21 18:42:32 EST
Spec URL: http://oget.fedorapeople.org/review/ctan-musixtex-fonts.spec
SRPM URL: http://oget.fedorapeople.org/review/ctan-musixtex-fonts-1.13-1.fc10.src.rpm
Description: 
This package provides Adobe Type 1 fonts (PFB format) for  MusiXTeX (musixtex).
The fonts are based on the original MetaFont sources, such as musix20.mf, which
are distributed with MusiXTeX. The fonts provided here may be used to produce
printer-independent PostScript files or PDF files.

Rpmlint:
Silent

Notes:
The map files that can be found in the tarball are provided in the tex-musixtex package.
Comment 1 Simon 2009-01-23 12:32:46 EST
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines#Things_To_Check_On_Review


#  MUST: rpmlint must be run on every package. The output should be posted in the review
DONE - rpmlint is silence

# MUST: The package must be named according to the Package Naming Guidelines.
DONE - http://fedoraproject.org/wiki/Packaging/FontsPolicy#Naming

# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
DONE

# MUST: The package must meet the Packaging Guidelines .
DONE

# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
DONE - https://fedoraproject.org/wiki/Licensing#Good_Licenses <- LPPL is listed there

# MUST: The License field in the package spec file must match the actual license.
DONE - README in "upstream source package" says 
  5. LICENSE

  The license of this package is LPPL. 

# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
not applicable 

# MUST: The spec file must be written in American English. 
DONE

# MUST: The spec file for the package MUST be legible. 
DONE

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
DONE - md5sum 1753fadcf6a0e196b583869106b5c074 - the md5sums of my download and the source0 in srpm are equivalent

# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
not applicable  - noarch

# MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
not applicable 

# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
DONE

# MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
not applicable 

# MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
not applicable 

# MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
not applicable 

# MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
DONE

# MUST: A package must not contain any duplicate files in the %files listing. 
DONE

# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
DONE

# MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
DONE

# MUST: Each package must consistently use macros. 
DONE

# MUST: The package must contain code, or permissable content.
DONE

# MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or  quantity). 
not applicable 

# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
not applicable 

# MUST: Header files must be in a -devel package. 
not applicable 

# MUST: Static libraries must be in a -static package. 
not applicable 

# MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
not applicable 

# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
not applicable 

# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
not applicable 

# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
not applicable 

# MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
not applicable 

# MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other  packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
not applicable 

# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
DONE 

# MUST: All filenames in rpm packages must be valid UTF-8.
DONE


I see no blockers

 ________________________
|                        |
|  ctan-musixtex-fonts   |
|        APPROVED        |
|________________________|
Comment 2 Orcan Ogetbil 2009-01-23 15:02:04 EST
Thanks for the review!

New Package CVS Request
=======================
Package Name: ctan-musixtex-fonts
Short Description:  Type 1 versions of MusiXTeX fonts
Owners: oget
Branches: F-9 F-10
InitialCC:
Comment 3 Orcan Ogetbil 2009-01-23 16:17:03 EST
I guess I need to add that I removed the "Adobe" bits from the summary and description to avoid trademark issues.
Comment 4 Kevin Fenzi 2009-01-23 18:15:05 EST
cvs done.
Comment 5 Orcan Ogetbil 2009-01-23 22:28:13 EST
I'm sorry Kevin, I forgot the CC.

Package Change Request
======================
Package Name: ctan-musixtex-fonts
InitialCC: fonts-sig
Comment 6 Nicolas Mailhot 2009-01-24 05:57:01 EST
Very nice to see someone else reviewing font packages :p

Please do not forget the other steps in
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

now
Comment 7 Orcan Ogetbil 2009-01-24 10:31:55 EST
(In reply to comment #6)
> Very nice to see someone else reviewing font packages :p
> 
> Please do not forget the other steps in
> http://fedoraproject.org/wiki/Font_package_lifecycle#3.a
> 
> now

I already did most of those. The only thing remaining is comps and I was going to ask you about it. Do I need to put this application-specific on comps? I am not planning to put the application itself on comps.
Comment 8 Nicolas Mailhot 2009-01-24 11:01:03 EST
I can't comment on the application, but as for the fonts, yes please do
Comment 9 Kevin Fenzi 2009-01-24 20:50:21 EST
cvs done.
Comment 10 Fedora Update System 2009-01-26 20:49:17 EST
ctan-musixtex-fonts-1.13-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-01-26 20:53:18 EST
ctan-musixtex-fonts-1.13-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.